Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 568315 - Review Request: xapply - Parallel Execution tool ala xargs/apply
Summary: Review Request: xapply - Parallel Execution tool ala xargs/apply
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Terje Røsten
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2010-02-25 11:48 UTC by Paul P Komkoff Jr
Modified: 2012-02-20 09:54 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-20 08:38:02 UTC
terjeros: fedora-review?


Attachments (Terms of Use)

Description Paul P Komkoff Jr 2010-02-25 11:48:37 UTC
Spec URL: http://stingr.net/r/xapply/xapply.spec
SRPM URL: http://stingr.net/r/xapply/xapply-3.4-1.fc12.src.rpm
Description: 
xapply (Extended Apply) is an clever derivative of xargs and apply.
Using list or tabular input from one or more descriptors, xapply executes
a template command modified for each input.  It supports simple split
on token expression, and has support (a la make -j) for running many
jobs in parallel.

Comment 1 Terje Røsten 2010-02-25 17:40:02 UTC
He he, it would be wrong to ship this as executable[1]:

  This source code is published as reference documents only. This is an overview
  of the code used to run various system admin functions by me (K S Braunsdorf).
  It doesn't represent anything useful.

  In fact it might be bad. I wouldn't recommend that you download it or run any
  part of it. Just read it.


:-)


[1]: ftp://ftp.physics.purdue.edu/pub/pundits/index.html

Comment 2 Paul P Komkoff Jr 2010-02-25 22:32:51 UTC
NetBSD ships it, FreeBSD ships it.
I understand that disclaimers may be scary - and the code itself is also scary - but it's actually useful. I know people who actually use it.

Comment 3 Terje Røsten 2010-02-26 09:34:48 UTC
Sure, it was joke, Open Source is so serious and boring these days :-)

Comment 4 Terje Røsten 2010-03-01 14:02:27 UTC
Ok, back to business. 

I wonder if you should create separate packages for mkcmd and msrc0?

Comment 5 Paul P Komkoff Jr 2010-03-01 15:13:29 UTC
They are hardly used for anything besides building this one.
Actually, I was hoping for a long time that someone will be inspired by this utility and will actually rewrite it using slightly more modern approach to argument parsing etc. And I still hope that at some point it can be replaced with something commandline-compatible but much less ugly.
That's why it might make sense to keep the infestation contained.

Comment 6 Terje Røsten 2010-05-03 20:21:26 UTC
I finally understood how to use the tool and it was in fact clever, thanks.

? rpmlint
 xapply-debuginfo.x86_64: E: wrong-script-interpreter /usr/src/debug/xapply-3.4/x
 apply-3.4/bin/xapply/xapply.m mkcmd
 xapply-debuginfo.x86_64: E: non-executable-script /usr/src/debug/xapply-3.4/xapply-3.4/bin/xapply/xapply.m 0644 mkcmd
 Can be ignored?
ok naming of package and spec
! spec file
 use version macro in Source0 and %prep
 add some comments in %build, a (future) new maintainer will be very
 confused about that mess.
 more explicit here please:
 %{_mandir}/man1/*
 add some of the README/TODO files to %doc
! license approved and tag correct
 I can't find any thing about license, where did you get BSD from? 
ok license in %doc
ok correct language
ok sha1sum on sources and ok url
  3e5a6a01c7fc1c27b1ec68fd607563ba0400f3cb  xapply-3.4.tgz
  3e5a6a01c7fc1c27b1ec68fd607563ba0400f3cb  xapply-3.4.tgz.spec
  ef87e01d407b8e1919fe0099bb53a8bca5475bec  msrc0-0.7.tgz
  ef87e01d407b8e1919fe0099bb53a8bca5475bec  msrc0-0.7.tgz.spec
  33342afc845db84a040f116202b880d37b9f626f  mkcmd-8.14.tgz
  33342afc845db84a040f116202b880d37b9f626f  mkcmd-8.14.tgz.spec
ok koji build with correct buildreq
 http://koji.fedoraproject.org/koji/taskinfo?taskID=2158029
ok excludearch
 - locale files
 - ldconfig
ok no bundling
ok owns, dirs and perms and only once
ok macros
ok code or content
 - large docs
ok %doc not affect the runtime
 - headers|static in devel|static
 - .so in devel
 - devel dep on base
 - no .la|.a file
 - gui with desktop file
ok own just not owned
ok utf-8 file names

ok trans
ok testing
 - scriptlets sane
 - subpkgs dep on base
 - pkgconfig(.pc) in devel
 - req on package not on files
ok add man pages

Please have a look at the ! stuff above.

Comment 7 Terje Røsten 2010-05-17 09:59:09 UTC
ping?

Comment 8 Paul P Komkoff Jr 2010-05-31 14:16:32 UTC
Sorry.
Expect an update this week :)

Comment 9 Terje Røsten 2010-07-11 09:15:46 UTC
ping?

Comment 10 Paul P Komkoff Jr 2010-07-12 17:25:57 UTC
Very sorry for the delay. Will try to send an update this week for real.

Comment 11 Terje Røsten 2010-08-30 20:01:52 UTC
:-)

Comment 12 Paul P Komkoff Jr 2010-12-30 16:39:40 UTC
Sorry for the delay, finally some progress.
I reuploaded the sources to http://stingray.fedorapeople.org/review/xapply/

Comment 13 Terje Røsten 2011-01-17 15:24:38 UTC
What has been changed?  

I really need some feedback on the license issue.

BTW: I can't access the ftp site any longer. Is there any alternative download site?

Comment 14 Terje Røsten 2012-02-20 08:38:02 UTC
A year without feedback, closing ticket and adding dead review blocker.

Reopen if anyone wants to to continue.

Comment 15 Petr Šabata 2012-02-20 09:54:24 UTC
This bug almost made me laugh :)


Note You need to log in before you can comment on or make changes to this bug.